Motion-2-Dialog API
Overview
Motion-2-Dialog converts one photo, 2 audio clips into audio-driven conversation videos, up to 10 minutes. It supports human, animals, and anime characters in 480p/720p resolutions. You can also use prompts to customize the character's expressions and poses.Try Motion-2-Dialog On JoyPix AI
Endpoint
POST
https://openapi.joypix.ai/v1/lip-sync/motion-2-dialogHeaders
| Name | Value | Required |
|---|---|---|
| Content-Type | application/json | Yes |
| Authorization | Bearer ${JoyPix_API_KEY} | Yes |
Body Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| left_audio_url | string | Yes | The audio to drive the left character in the image |
| right_audio_url | string | Yes | The audio to drive the right character in the image |
| image_url | string | Yes | The image to generate the video |
| resolution | string | No | The resolution of the output video. (480p, 720p). Default: 480p |
| prompt | string | No | The positive prompt for the generation |
| seed | int | No | The random seed to use for the generation. -1 means a random seed will be used. Default: -1 |
Example Request
{
"left_audio_url": "https://example.com/audio1.mp3",
"right_audio_url": "https://example.com/audio2.mp3",
"image_url": "https://example.com/image.jpg",
"resolution": "480p",
"prompt": "the left man speak happily, the right woman has cheerful expressions.",
"seed": -1
}Response
{
"code": 0,
"message": "success",
"data": {
"task_id": "task_123456789"
}
}Get Task Status
Endpoint
GET
https://openapi.joypix.ai/v1/tasks/${task_id}Headers
| Name | Value | Required |
|---|---|---|
| Authorization | Bearer ${JoyPix_API_KEY} | Yes |
Response
{
"code": 0, // int, 200 for success, 4xx, client error, 5xx, server error
"message": "success", // string, eg.success
"data": {
"task_id": "task_123456789", // string, task id
"inputs": "...", // string, input params
"model": "motion-2-dialog", // string, model id
"status": "completed", // string, task status, submitted, processing, completed, failed
"error": "", // string, fail reason, when status=failed
"video_url": "https://joypix-output.s3.amazonaws.com/...", // string, video url , when status=completed
}
}Pricing
Billing is based on the duration of the generated video. The billing unit is 5 seconds. Any duration less than 5 seconds will be counted as 5 seconds.
| Resolution | Credits / 5s | Price / 5s |
|---|---|---|
| 480p | 15 | $0.15 |
| 720p | 30 | $0.30 |
Tips
- Processing Time: The Real-Time Factor (RTF) for 480p is ~15 (1s video takes ~15s to generate); for 720p, RTF is ~25 (1s video takes ~25s).
- Storage: Generated videos are stored for 72 hours. Please download them promptly.
- Max Duration: The maximum supported video duration is 10 minutes.
